import React from 'react';
import './index.scss';
export interface CommonReferProps {
    refer: any;
    value?: string;
    defaultValue?: string;
    showReferPage?: any;
    onChange?: (arg: any) => void;
    __designMode?: string;
    [key: string]: any;
}
interface StateProps {
    hotValue: any;
}
declare class CommonRefer extends React.Component<CommonReferProps, StateProps> {
    static displayName: string;
    constructor(props: CommonReferProps);
    componentDidUpdate(prevProps: Readonly<CommonReferProps>, prevState: Readonly<StateProps>, snapshot?: any): void;
    change: (val: any) => void;
    onClick: () => void;
    render(): React.ReactNode;
}
export default CommonRefer;
